using System.Xml;
using EnvDTE;

namespace Hmg.Tools.AssemblyReferences
{
    /// <summary>
    /// 
    /// </summary>
    public class XmlDocumentHolder
    {
        #region Private Members
        private XmlDocument _xmlDocument;
        private string _projectFileName;
        private Project _project;
        #endregion

        #region Constructor
        /// <summary>
        /// Initializes a new instance of the <see cref="XmlDocumentHolder"/> class.
        /// </summary>
        /// <param name="xmlDocument">The XML document.</param>
        /// <param name="projectFileName">Name of the project file.</param>
        /// <param name="project">The project.</param>
        public XmlDocumentHolder(XmlDocument xmlDocument, string projectFileName, Project project)
        {
            _projectFileName = projectFileName;
            _xmlDocument = xmlDocument;
            _project = project;
        }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets the XML document.
        /// </summary>
        /// <value>The XML document.</value>
        public XmlDocument XmlDocument
        {
            get
            {
                return _xmlDocument;
            }
            set
            {
                _xmlDocument = value;
            }
        }

        /// <summary>
        /// Gets or sets the name of the project file.
        /// </summary>
        /// <value>The name of the project file.</value>
        public string ProjectFileName
        {
            get
            {
                return _projectFileName;
            }
            set
            {
                _projectFileName = value;
            }
        }

        /// <summary>
        /// Gets or sets the project.
        /// </summary>
        /// <value>The project.</value>
        public Project Project
        {
            get
            {
                return _project;
            }
            set
            {
                _project = value;
            }
        }
        #endregion
    }
}
